curl --request GET \
--url https://api.nebius.cloud/applications/v1alpha1/vm-app-templates \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nebius.cloud/applications/v1alpha1/vm-app-templates"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nebius.cloud/applications/v1alpha1/vm-app-templates', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"metadata": {
"parentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"labels": {},
"name": "<string>",
"resourceVersion": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
},
"spec": {
"containerTemplate": {
"containers": [
{
"allGpus": true,
"command": "<string>",
"entrypoint": "<string>",
"environmentVariables": [
{
"key": "<string>",
"sensitiveValue": "<string>",
"value": "<string>"
}
],
"exportLogs": true,
"gpuCount": "<string>",
"hostIpc": true,
"hostNetwork": true,
"image": "<string>",
"injectedFiles": [
{
"containerPath": "<string>",
"content": "aSDinaTvuI8gbWludGxpZnk=",
"id": "<string>"
}
],
"maxAttempts": "<string>",
"name": "<string>",
"ports": [
{
"endpointName": "<string>",
"hostPort": 123,
"port": 123,
"protocol": "PROTOCOL_UNSPECIFIED"
}
],
"privileged": true,
"registryPassword": "<string>",
"registryUsername": "<string>",
"restartPolicy": "RESTART_POLICY_UNSPECIFIED",
"runtimeUser": {
"gid": "<string>",
"uid": "<string>"
},
"shmSizeBytes": "<string>",
"volumes": [
{
"bootDisk": {},
"description": "<string>",
"disk": {
"id": "<string>",
"mode": "MODE_UNSPECIFIED"
},
"externalS3": {
"accessKeyId": "<string>",
"bucket": "<string>",
"endpoint": "<string>",
"mode": "MODE_UNSPECIFIED",
"region": "<string>",
"secretAccessKey": "<string>",
"sessionToken": "<string>"
},
"filesystem": {
"id": "<string>",
"mode": "MODE_UNSPECIFIED"
},
"id": "<string>",
"mountPath": "<string>",
"storageBucket": {
"id": "<string>",
"mode": "MODE_UNSPECIFIED"
}
}
],
"workingDir": "<string>"
}
],
"description": "<string>",
"iconUrl": "<string>",
"inputs": [
{
"booleanInput": {
"defaultValue": true,
"description": "<string>",
"name": "<string>",
"viewType": "VIEW_TYPE_UNSPECIFIED"
},
"dockerRegistryCredentialsInput": {
"description": "<string>",
"name": "<string>",
"sensitive": true,
"showInForm": true
},
"enumStringInput": {
"defaultValue": "<string>",
"description": "<string>",
"name": "<string>",
"options": [
{
"label": "<string>",
"value": "<string>"
}
],
"placeholder": "<string>"
},
"environmentVariablesInput": {
"description": "<string>",
"name": "<string>"
},
"huggingFaceTokenInput": {
"description": "<string>",
"name": "<string>",
"sensitive": true,
"showInForm": true
},
"id": "<string>",
"integerInput": {
"defaultValue": "<string>",
"description": "<string>",
"maxValue": "<string>",
"minValue": "<string>",
"multiplyBy": "<string>",
"name": "<string>"
},
"integerUnitInput": {
"defaultValue": "<string>",
"description": "<string>",
"maxValue": "<string>",
"minValue": "<string>",
"multiplyBy": "<string>",
"name": "<string>",
"step": "<string>",
"unit": "<string>"
},
"required": true,
"serviceAccountMirrorInput": {
"description": "<string>"
},
"stringInput": {
"defaultValue": "<string>",
"description": "<string>",
"generate": true,
"inputPrefix": "<string>",
"multiline": true,
"name": "<string>",
"pattern": "<string>",
"placeholder": "<string>",
"sensitive": true,
"tooltip": "<string>"
},
"textContentInput": {
"content": "<string>",
"showInForm": true,
"showInOverview": true
}
}
],
"substitutions": [
{
"conditions": [
{
"environmentVariableKey": "<string>",
"environmentVariableValue": "<string>",
"inputFieldId": "<string>",
"inputFieldValueBool": true,
"inputFieldValueDouble": 123,
"inputFieldValueInt64": "<string>",
"inputFieldValueString": "<string>",
"not": true,
"platform": "<string>",
"preset": "<string>"
}
],
"containerName": "<string>",
"operations": [
{
"containerCommand": true,
"containerUser": true,
"environmentVariable": "<string>",
"image": true,
"imageTag": true,
"remove": true,
"sensitiveEnvironmentVariable": "<string>",
"setFromInputField": "<string>",
"setToIntegerValue": "<string>",
"setToStringValue": "<string>",
"setUser": {
"gid": "<string>",
"uid": "<string>"
},
"shmSizeBytes": true
}
]
}
],
"supportedPlatforms": [
{
"id": "<string>",
"supportedPresets": [
"<string>"
]
}
]
},
"kind": "<string>"
},
"status": {
"categories": [
"<string>"
],
"description": "<string>",
"iconUrl": "<string>",
"inputFields": [
{
"description": "<string>",
"id": "<string>",
"name": "<string>",
"required": true,
"sensitive": true,
"type": "TYPE_UNSPECIFIED"
}
],
"supportedPlatforms": [
{
"id": "<string>",
"supportedPresets": [
"<string>"
]
}
]
}
}
],
"nextPageToken": "<string>"
}List
Retrieves a list of VM app templates.
Authorizations
The Authorization header expects a Bearer token.
Query Parameters
The project ID. The response includes templates from this project and the global catalog. Required unless global_only is true.
The requested page size. The service currently ignores this field and returns all matching templates. The default value is 0.
The pagination token. The service currently ignores this field. Leave it empty.
The text to find in template names and descriptions. The search is case-sensitive.
The categories to match. The response includes templates that match at least one category.
Returns only global templates when true. The service ignores parent_id in this mode. Global catalog reads require authentication but do not require a resource permission.
The template kind: "covm" or "devlab". The default is "covm".
Response
A successful response.
Was this page helpful?